Veo 3.1 Upscale
Videogoogle/veo-3.1-upscaleUpscales a completed video to 1080p or 4K.
$0.050
per generation
Quick start
curl -X POST https://api.zekron.tech/api/v1/tasks \
-H "Authorization: Bearer zk_live_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{"model":"google/veo-3.1-upscale","input":{"prompt":"a drone shot flying over snowy mountains at sunrise","duration":5}}'Example response
{
"success": true,
"data": {
"task_id": "zk_task_abc123",
"provider": "zekronai",
"model": "google/veo-3.1-upscale",
"status": "completed",
"output": [
"https://api.zekron.tech/api/v1/files/vid_abc123"
],
"cost": 0.05,
"currency": "USD",
"created_at": "2026-06-10T12:00:00Z"
}
}